searchData={"items":[{"type":"module","title":"IbanEx","doc":"Documentation for `IbanEx`.","ref":"IbanEx.html"},{"type":"function","title":"IbanEx.hello/0","doc":"Hello world.","ref":"IbanEx.html#hello/0"},{"type":"function","title":"Examples - IbanEx.hello/0","doc":"iex> IbanEx.hello()\n    :world","ref":"IbanEx.html#hello/0-examples"},{"type":"module","title":"IbanEx.Country.AT","doc":"Austria IBAN parsing rules","ref":"IbanEx.Country.AT.html"},{"type":"module","title":"Examples - IbanEx.Country.AT","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"AT\",\n    ...>    check_digits: \"61\",\n    ...>    bank_code: \"19043\",\n    ...>    branch_code: nil,\n    ...>    national_check: nil,\n    ...>    account_number: \"00234573201\"\n    ...>  }\n    ...>  |> IbanEx.Country.AT.to_string()\n    \"AT 61 19043 00234573201\"\n```","ref":"IbanEx.Country.AT.html#module-examples"},{"type":"module","title":"IbanEx.Country.BE","doc":"Belgium IBAN parsing rules","ref":"IbanEx.Country.BE.html"},{"type":"module","title":"Examples - IbanEx.Country.BE","doc":"```elixir\n    iex>  %IbanEx.Iban{\n    ...>    country_code: \"BE\",\n    ...>    check_digits: \"68\",\n    ...>    bank_code: \"539\",\n    ...>    branch_code: nil,\n    ...>    national_check: \"34\",\n    ...>    account_number: \"0075470\"\n    ...>  }\n    ...>  |> IbanEx.Country.BE.to_string()\n    \"BE 68 539 0075470 34\"\n```","ref":"IbanEx.Country.BE.html#module-examples"},{"type":"module","title":"IbanEx.Country.BG","doc":"Bulgaria IBAN parsing rules","ref":"IbanEx.Country.BG.html"},{"type":"module","title":"Examples - IbanEx.Country.BG","doc":"iex> %IbanEx.Iban{country_code: \"BG\", check_digits: \"80\", bank_code: \"BNBG\", branch_code: \"9661\", national_check: nil, account_number: \"1020345678\"}\n  iex> |> IbanEx.Country.BG.to_string()\n  \"BG 80 BNBG 9661 1020345678\"","ref":"IbanEx.Country.BG.html#module-examples"},{"type":"module","title":"IbanEx.Country.CH","doc":"Switzerland IBAN parsing rules","ref":"IbanEx.Country.CH.html"},{"type":"module","title":"Examples - IbanEx.Country.CH","doc":"iex> %IbanEx.Iban{country_code: \"CH\", check_digits: \"93\", bank_code: \"00762\", branch_code: nil, national_check: nil, account_number: \"011623852957\"}\n  iex> |> IbanEx.Country.CH.to_string()\n  \"CH 93 00762 011623852957\"","ref":"IbanEx.Country.CH.html#module-examples"},{"type":"module","title":"IbanEx.Country.CY","doc":"Cyprus IBAN parsing rules","ref":"IbanEx.Country.CY.html"},{"type":"module","title":"Examples - IbanEx.Country.CY","doc":"iex> %IbanEx.Iban{country_code: \"CY\", check_digits: \"17\", bank_code: \"002\", branch_code: \"00128\", national_check: nil, account_number: \"0000001200527600\"}\n  iex> |> IbanEx.Country.CY.to_string()\n  \"CY 17 002 00128 0000001200527600\"","ref":"IbanEx.Country.CY.html#module-examples"},{"type":"module","title":"IbanEx.Country.CZ","doc":"Czech Republic IBAN parsing rules","ref":"IbanEx.Country.CZ.html"},{"type":"module","title":"Examples - IbanEx.Country.CZ","doc":"iex> %IbanEx.Iban{country_code: \"CZ\", check_digits: \"65\", bank_code: \"0800\", branch_code: nil, national_check: nil, account_number: \"0000192000145399\"}\n  iex> |> IbanEx.Country.CZ.to_string()\n  \"CZ 65 0800 0000192000145399\"","ref":"IbanEx.Country.CZ.html#module-examples"},{"type":"module","title":"IbanEx.Country.DE","doc":"Germany IBAN parsing rules","ref":"IbanEx.Country.DE.html"},{"type":"module","title":"Examples - IbanEx.Country.DE","doc":"iex> %IbanEx.Iban{country_code: \"DE\", check_digits: \"89\", bank_code: \"37040044\", branch_code: nil, national_check: nil, account_number: \"0532013000\"}\n  iex> |> IbanEx.Country.DE.to_string()\n  \"DE 89 37040044 0532013000\"","ref":"IbanEx.Country.DE.html#module-examples"},{"type":"module","title":"IbanEx.Country.DK","doc":"Denmark IBAN parsing rules","ref":"IbanEx.Country.DK.html"},{"type":"module","title":"Examples - IbanEx.Country.DK","doc":"iex> %IbanEx.Iban{country_code: \"DK\", check_digits: \"50\", bank_code: \"0040\", branch_code: nil, national_check: nil, account_number: \"0440116243\"}\n  iex> |> IbanEx.Country.DK.to_string()\n  \"DK 50 0040 0440116243\"","ref":"IbanEx.Country.DK.html#module-examples"},{"type":"module","title":"IbanEx.Country.EE","doc":"Estonian IBAN parsing rules","ref":"IbanEx.Country.EE.html"},{"type":"module","title":"Examples - IbanEx.Country.EE","doc":"iex> %IbanEx.Iban{country_code: \"EE\", check_digits: \"38\", bank_code: \"22\", branch_code: \"00\", national_check: \"5\", account_number: \"22102014568\"}\n  iex> |> IbanEx.Country.EE.to_string()\n  \"EE 38 22 00 22102014568 5\"","ref":"IbanEx.Country.EE.html#module-examples"},{"type":"module","title":"IbanEx.Country.ES","doc":"Spain IBAN parsing rules","ref":"IbanEx.Country.ES.html"},{"type":"module","title":"Examples - IbanEx.Country.ES","doc":"iex> %IbanEx.Iban{country_code: \"ES\", check_digits: \"91\", bank_code: \"2100\", branch_code: \"0418\", national_check: \"45\", account_number: \"0200051332\"}\n  iex> |> IbanEx.Country.ES.to_string()\n  \"ES 91 2100 0418 45 0200051332\"","ref":"IbanEx.Country.ES.html#module-examples"},{"type":"module","title":"IbanEx.Country.FI","doc":"Finland IBAN parsing rules","ref":"IbanEx.Country.FI.html"},{"type":"module","title":"Examples - IbanEx.Country.FI","doc":"iex> %IbanEx.Iban{country_code: \"FI\", check_digits: \"21\", bank_code: \"123456\", branch_code: nil, national_check: \"5\", account_number: \"0000078\"}\n  iex> |> IbanEx.Country.FI.to_string()\n  \"FI 21 123456 0000078 5\"","ref":"IbanEx.Country.FI.html#module-examples"},{"type":"module","title":"IbanEx.Country.FR","doc":"France IBAN parsing rules","ref":"IbanEx.Country.FR.html"},{"type":"module","title":"Examples - IbanEx.Country.FR","doc":"iex> %IbanEx.Iban{country_code: \"FR\", check_digits: \"14\", bank_code: \"20041\", branch_code: \"01005\", national_check: \"06\", account_number: \"0500013M026\"}\n  iex> |> IbanEx.Country.FR.to_string()\n  \"FR 14 20041 01005 0500013M026 06\"","ref":"IbanEx.Country.FR.html#module-examples"},{"type":"module","title":"IbanEx.Country.GB","doc":"United Kingdom IBAN parsing rules","ref":"IbanEx.Country.GB.html"},{"type":"module","title":"Examples - IbanEx.Country.GB","doc":"iex> %IbanEx.Iban{country_code: \"GB\", check_digits: \"29\", bank_code: \"NWBK\", branch_code: \"601613\", national_check: \"06\", account_number: \"31926819\"}\n  iex> |> IbanEx.Country.GB.to_string()\n  \"GB 29 NWBK 601613 31926819\"","ref":"IbanEx.Country.GB.html#module-examples"},{"type":"module","title":"IbanEx.Country.GI","doc":"Gibraltar IBAN parsing rules","ref":"IbanEx.Country.GI.html"},{"type":"module","title":"Examples - IbanEx.Country.GI","doc":"iex> %IbanEx.Iban{country_code: \"GI\", check_digits: \"75\", bank_code: \"NWBK\", branch_code: nil, national_check: nil, account_number: \"000000007099453\"}\n  iex> |> IbanEx.Country.GI.to_string()\n  \"GI 75 NWBK 000000007099453\"","ref":"IbanEx.Country.GI.html#module-examples"},{"type":"module","title":"IbanEx.Country.GR","doc":"Greece IBAN parsing rules","ref":"IbanEx.Country.GR.html"},{"type":"module","title":"Examples - IbanEx.Country.GR","doc":"iex> %IbanEx.Iban{country_code: \"GR\", check_digits: \"16\", bank_code: \"011\", branch_code: \"0125\", national_check: nil, account_number: \"0000000012300695\"}\n  iex> |> IbanEx.Country.GR.to_string()\n  \"GR 16 011 0125 0000000012300695\"","ref":"IbanEx.Country.GR.html#module-examples"},{"type":"module","title":"IbanEx.Country.HR","doc":"Croatia IBAN parsing rules","ref":"IbanEx.Country.HR.html"},{"type":"module","title":"Examples - IbanEx.Country.HR","doc":"iex> %IbanEx.Iban{country_code: \"HR\", check_digits: \"12\", bank_code: \"1001005\", branch_code: nil, national_check: nil, account_number: \"1863000160\"}\n  iex> |> IbanEx.Country.HR.to_string()\n  \"HR 12 1001005 1863000160\"","ref":"IbanEx.Country.HR.html#module-examples"},{"type":"module","title":"IbanEx.Country.HU","doc":"Hungary IBAN parsing rules","ref":"IbanEx.Country.HU.html"},{"type":"module","title":"Examples - IbanEx.Country.HU","doc":"iex> %IbanEx.Iban{country_code: \"HU\", check_digits: \"42\", bank_code: \"117\", branch_code: \"7301\", national_check: \"0\", account_number: \"6111110180000000\"}\n  iex> |> IbanEx.Country.HU.to_string()\n  \"HU 42 117 7301 6111110180000000 0\"","ref":"IbanEx.Country.HU.html#module-examples"},{"type":"module","title":"IbanEx.Country.IE","doc":"Ireland IBAN parsing rules","ref":"IbanEx.Country.IE.html"},{"type":"module","title":"Examples - IbanEx.Country.IE","doc":"iex> %IbanEx.Iban{country_code: \"IE\", check_digits: \"29\", bank_code: \"AIBK\", branch_code: \"931152\", national_check: nil, account_number: \"12345678\"}\n  iex> |> IbanEx.Country.IE.to_string()\n  \"IE 29 AIBK 931152 12345678\"","ref":"IbanEx.Country.IE.html#module-examples"},{"type":"module","title":"IbanEx.Country.IT","doc":"Italy IBAN parsing rules","ref":"IbanEx.Country.IT.html"},{"type":"module","title":"Examples - IbanEx.Country.IT","doc":"iex> %IbanEx.Iban{country_code: \"IT\", check_digits: \"60\", bank_code: \"05428\", branch_code: \"11101\", national_check: \"X\", account_number: \"000000123456\"}\n  iex> |> IbanEx.Country.IT.to_string()\n  \"IT 60 X 05428 11101 000000123456\"","ref":"IbanEx.Country.IT.html#module-examples"},{"type":"module","title":"IbanEx.Country.LI","doc":"Liechtenstein IBAN parsing rules","ref":"IbanEx.Country.LI.html"},{"type":"module","title":"Examples - IbanEx.Country.LI","doc":"iex> %IbanEx.Iban{country_code: \"LI\", check_digits: \"21\", bank_code: \"08810\", branch_code: nil, national_check: nil, account_number: \"0002324013AA\"}\n  iex> |> IbanEx.Country.LI.to_string()\n  \"LI 21 08810 0002324013AA\"","ref":"IbanEx.Country.LI.html#module-examples"},{"type":"module","title":"IbanEx.Country.LT","doc":"Lithuanian IBAN parsing rules","ref":"IbanEx.Country.LT.html"},{"type":"module","title":"Examples - IbanEx.Country.LT","doc":"iex> %IbanEx.Iban{country_code: \"LT\", check_digits: \"12\", bank_code: \"10000\", branch_code: nil, national_check: nil, account_number: \"11101001000\"}\n  iex> |> IbanEx.Country.LT.to_string()\n  \"LT 12 10000 11101001000\"","ref":"IbanEx.Country.LT.html#module-examples"},{"type":"module","title":"IbanEx.Country.LU","doc":"Luxembourg IBAN parsing rules","ref":"IbanEx.Country.LU.html"},{"type":"module","title":"Examples - IbanEx.Country.LU","doc":"iex> %IbanEx.Iban{country_code: \"LU\", check_digits: \"28\", bank_code: \"001\", branch_code: nil, national_check: nil, account_number: \"9400644750000\"}\n  iex> |> IbanEx.Country.LU.to_string()\n  \"LU 28 001 9400644750000\"","ref":"IbanEx.Country.LU.html#module-examples"},{"type":"module","title":"IbanEx.Country.LV","doc":"Latvian IBAN parsing rules","ref":"IbanEx.Country.LV.html"},{"type":"module","title":"Examples - IbanEx.Country.LV","doc":"iex> %IbanEx.Iban{country_code: \"LV\", check_digits: \"80\", bank_code: \"BANK\", branch_code: nil, national_check: nil, account_number: \"0000435195001\"}\n  iex> |> IbanEx.Country.LV.to_string()\n  \"LV 80 BANK 0000435195001\"","ref":"IbanEx.Country.LV.html#module-examples"},{"type":"module","title":"IbanEx.Country.MC","doc":"Monaco IBAN parsing rules","ref":"IbanEx.Country.MC.html"},{"type":"module","title":"Examples - IbanEx.Country.MC","doc":"iex> %IbanEx.Iban{country_code: \"MC\", check_digits: \"58\", bank_code: \"11222\", branch_code: \"00001\", national_check: \"30\", account_number: \"01234567890\"}\n  iex> |> IbanEx.Country.MC.to_string()\n  \"MC 58 11222 00001 01234567890 30\"","ref":"IbanEx.Country.MC.html#module-examples"},{"type":"module","title":"IbanEx.Country.MT","doc":"Malta IBAN parsing rules","ref":"IbanEx.Country.MT.html"},{"type":"module","title":"Examples - IbanEx.Country.MT","doc":"iex> %IbanEx.Iban{country_code: \"MT\", check_digits: \"84\", bank_code: \"MALT\", branch_code: \"01100\", national_check: nil, account_number: \"0012345MTLCAST001S\"}\n  iex> |> IbanEx.Country.MT.to_string()\n  \"MT 84 MALT 01100 0012345MTLCAST001S\"","ref":"IbanEx.Country.MT.html#module-examples"},{"type":"module","title":"IbanEx.Country.NL","doc":"Netherlands IBAN parsing rules","ref":"IbanEx.Country.NL.html"},{"type":"module","title":"Examples - IbanEx.Country.NL","doc":"iex> %IbanEx.Iban{country_code: \"NL\", check_digits: \"91\", bank_code: \"ABNA\", branch_code: nil, national_check: nil, account_number: \"0417164300\"}\n  iex> |> IbanEx.Country.NL.to_string()\n  \"NL 91 ABNA 0417164300\"","ref":"IbanEx.Country.NL.html#module-examples"},{"type":"module","title":"IbanEx.Country.NO","doc":"Norway IBAN parsing rules","ref":"IbanEx.Country.NO.html"},{"type":"module","title":"Examples - IbanEx.Country.NO","doc":"iex> %IbanEx.Iban{country_code: \"NO\", check_digits: \"93\", bank_code: \"8601\", branch_code: nil, national_check: \"7\", account_number: \"111794\"}\n  iex> |> IbanEx.Country.NO.to_string()\n  \"NO 93 8601 111794 7\"","ref":"IbanEx.Country.NO.html#module-examples"},{"type":"module","title":"IbanEx.Country.PL","doc":"Poland IBAN parsing rules","ref":"IbanEx.Country.PL.html"},{"type":"module","title":"Examples - IbanEx.Country.PL","doc":"iex> %IbanEx.Iban{country_code: \"PL\", check_digits: \"61\", bank_code: \"109\", branch_code: \"0101\", national_check: \"4\", account_number: \"0000071219812874\"}\n  iex> |> IbanEx.Country.PL.to_string()\n  \"PL 61 109 0101 4 0000071219812874\"","ref":"IbanEx.Country.PL.html#module-examples"},{"type":"module","title":"IbanEx.Country.PT","doc":"Portugal IBAN parsing rules","ref":"IbanEx.Country.PT.html"},{"type":"module","title":"Examples - IbanEx.Country.PT","doc":"iex> %IbanEx.Iban{country_code: \"PT\", check_digits: \"50\", bank_code: \"0002\", branch_code: \"0123\", national_check: \"54\", account_number: \"12345678901\"}\n  iex> |> IbanEx.Country.PT.to_string()\n  \"PT 50 0002 0123 12345678901 54\"","ref":"IbanEx.Country.PT.html#module-examples"},{"type":"module","title":"IbanEx.Country.RO","doc":"Romania IBAN parsing rules","ref":"IbanEx.Country.RO.html"},{"type":"module","title":"Examples - IbanEx.Country.RO","doc":"iex> %IbanEx.Iban{country_code: \"RO\", check_digits: \"49\", bank_code: \"AAAA\", branch_code: nil, national_check: nil, account_number: \"1B31007593840000\"}\n  iex> |> IbanEx.Country.RO.to_string()\n  \"RO 49 AAAA 1B31007593840000\"","ref":"IbanEx.Country.RO.html#module-examples"},{"type":"module","title":"IbanEx.Country.SE","doc":"Sweden IBAN parsing rules","ref":"IbanEx.Country.SE.html"},{"type":"module","title":"Examples - IbanEx.Country.SE","doc":"iex> %IbanEx.Iban{country_code: \"SE\", check_digits: \"45\", bank_code: \"500\", branch_code: nil, national_check: nil, account_number: \"00000058398257466\"}\n  iex> |> IbanEx.Country.SE.to_string()\n  \"SE 45 500 00000058398257466\"","ref":"IbanEx.Country.SE.html#module-examples"},{"type":"module","title":"IbanEx.Country.SI","doc":"Slovenia IBAN parsing rules","ref":"IbanEx.Country.SI.html"},{"type":"module","title":"Examples - IbanEx.Country.SI","doc":"iex> %IbanEx.Iban{country_code: \"SI\", check_digits: \"56\", bank_code: \"26\", branch_code: \"330\", national_check: \"86\", account_number: \"00120390\"}\n  iex> |> IbanEx.Country.SI.to_string()\n  \"SI 56 26 330 00120390 86\"","ref":"IbanEx.Country.SI.html#module-examples"},{"type":"module","title":"IbanEx.Country.SK","doc":"Slovakia IBAN parsing rules","ref":"IbanEx.Country.SK.html"},{"type":"module","title":"Examples - IbanEx.Country.SK","doc":"iex> %IbanEx.Iban{country_code: \"SK\", check_digits: \"31\", bank_code: \"1200\", branch_code: nil, national_check: nil, account_number: \"0000198742637541\"}\n  iex> |> IbanEx.Country.SK.to_string()\n  \"SK 31 1200 0000198742637541\"","ref":"IbanEx.Country.SK.html#module-examples"},{"type":"module","title":"IbanEx.Country.SM","doc":"San Marino IBAN parsing rules","ref":"IbanEx.Country.SM.html"},{"type":"module","title":"Examples - IbanEx.Country.SM","doc":"iex> %IbanEx.Iban{country_code: \"SM\", check_digits: \"86\", bank_code: \"03225\", branch_code: \"09800\", national_check: \"U\", account_number: \"000000270100\"}\n  iex> |> IbanEx.Country.SM.to_string()\n  \"SM 86 U 03225 09800 000000270100\"","ref":"IbanEx.Country.SM.html#module-examples"},{"type":"module","title":"IbanEx.Country.UA","doc":"Ukrainian IBAN parsing rules","ref":"IbanEx.Country.UA.html"},{"type":"module","title":"Examples - IbanEx.Country.UA","doc":"iex> %IbanEx.Iban{country_code: \"UA\", check_digits: \"21\", bank_code: \"322313\", branch_code: nil, national_check: nil, account_number: \"0000026007233566001\"}\n  iex> |> IbanEx.Country.UA.to_string()\n  \"UA 21 322313 0000026007233566001\"","ref":"IbanEx.Country.UA.html#module-examples"},{"type":"module","title":"IbanEx.Country.VA","doc":"Vatican IBAN parsing rules","ref":"IbanEx.Country.VA.html"},{"type":"module","title":"Examples - IbanEx.Country.VA","doc":"iex> %IbanEx.Iban{country_code: \"VA\", check_digits: \"59\", bank_code: \"001\", branch_code: nil, national_check: nil, account_number: \"123000012345678\"}\n  iex> |> IbanEx.Country.VA.to_string()\n  \"VA 59 001 123000012345678\"","ref":"IbanEx.Country.VA.html#module-examples"},{"type":"protocol","title":"IbanEx.Deserialize","doc":"","ref":"IbanEx.Deserialize.html"},{"type":"function","title":"IbanEx.Deserialize.to_iban/1","doc":"","ref":"IbanEx.Deserialize.html#to_iban/1"},{"type":"type","title":"IbanEx.Deserialize.iban_or_error/0","doc":"","ref":"IbanEx.Deserialize.html#t:iban_or_error/0"},{"type":"type","title":"IbanEx.Deserialize.t/0","doc":"All the types that implement this protocol.","ref":"IbanEx.Deserialize.html#t:t/0"},{"type":"module","title":"IbanEx.Validator.Replacements","doc":"Replacements in IBANs for checksums calculations","ref":"IbanEx.Validator.Replacements.html"},{"type":"function","title":"IbanEx.Validator.Replacements.replace/1","doc":"","ref":"IbanEx.Validator.Replacements.html#replace/1"},{"type":"function","title":"IbanEx.Validator.Replacements.replacements/0","doc":"","ref":"IbanEx.Validator.Replacements.html#replacements/0"},{"type":"type","title":"IbanEx.Validator.Replacements.replacements/0","doc":"","ref":"IbanEx.Validator.Replacements.html#t:replacements/0"},{"type":"type","title":"IbanEx.Validator.Replacements.symbol/0","doc":"","ref":"IbanEx.Validator.Replacements.html#t:symbol/0"},{"type":"type","title":"IbanEx.Validator.Replacements.value/0","doc":"","ref":"IbanEx.Validator.Replacements.html#t:value/0"},{"type":"extras","title":"IbanEx","doc":"# IbanEx\n\nElixir library for working with IBAN numbers (parsing, validating, checking and formatting)","ref":"readme.html"},{"type":"extras","title":"What is an IBAN? - IbanEx","doc":"IBAN (which stands for International Bank Account Number) is an internationally agreed code made up of up to 34 letters and numbers which helps banks make sure that international transfers are processed correctly.\n\nIn just a few letters and numbers, the IBAN captures all of the country, bank, and account details you need to send or receive money internationally. This system is used throughout Europe, and also recognised in some areas of the Middle East, North Africa and the Caribbean. Find IBAN examples for every country where it's used.","ref":"readme.html#what-is-an-iban"},{"type":"extras","title":"HowTo Use - IbanEx","doc":"#","ref":"readme.html#howto-use"},{"type":"extras","title":"Successfull case to parse IBAN - IbanEx","doc":"```elixir\n      iex>  \"FI2112345600000785\" |> IbanEx.Parser.parse()\n      {:ok, %IbanEx.Iban{\n        country_code: \"FI\",\n        check_digits: \"21\",\n        bank_code: \"123456\",\n        branch_code: nil,\n        national_check: \"5\",\n        account_number: \"0000078\"\n      }}\n  ```\n\n#","ref":"readme.html#successfull-case-to-parse-iban"},{"type":"extras","title":"Errors cases of IBAN parsing - IbanEx","doc":"```elixir\n      iex> {:error, unsupported_country_code} = IbanEx.Parser.parse(\"AZ21NABZ00000000137010001944\")\n      {:error, :unsupported_country_code}\n      iex> IbanEx.Error.message(unsupported_country_code)\n      \"Unsupported country code\"\n  ```\n\n  ```elixir\n      iex> {:error, invalid_length} = IbanEx.Parser.parse(\"AT6119043002345732012\")\n      {:error, :invalid_length}\n      iex> IbanEx.Error.message(invalid_length)\n      \"IBAN violates the required length\"\n  ```\n\n  ```elixir\n      iex> {:error, invalid_checksum} = IbanEx.Parser.parse(\"AT621904300234573201\")\n      {:error, :invalid_checksum}\n      iex> IbanEx.Error.message(invalid_checksum)\n      \"IBAN's checksum is invalid\"\n  ```","ref":"readme.html#errors-cases-of-iban-parsing"},{"type":"extras","title":"Installation - IbanEx","doc":"The package can be installed by adding `iban_ex` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:iban_ex, \"~> 0.1.2\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"}],"content_type":"text/markdown"}